proc ddhseltex_makeframe {} {

   # CUSTOM CONFIGURATION: Change these values to set the number of characters
   #                       wide * high to show the texture list box
   set lwidth 48
   set lheight 12

   toplevel .ddhseltex
   wm title .ddhseltex "Select by texture"
   wm transient .ddhseltex [winfo toplevel [winfo parent .ddhseltex]]

   # List of textures
   frame .ddhseltex.frmlist
   pack .ddhseltex.frmlist -side top -fill both -expand 1
   listbox .ddhseltex.frmlist.listtex -height $lheight -width $lwidth -yscrollcommand ".ddhseltex.frmlist.listtexscroll set"
   scrollbar .ddhseltex.frmlist.listtexscroll -orient vertical -command { .ddhseltex.frmlist.listtex yview }
   pack .ddhseltex.frmlist.listtex -side left -fill both -expand 1
   pack .ddhseltex.frmlist.listtexscroll -side right -fill y

   # Select
   frame .ddhseltex.frmbtn
   pack .ddhseltex.frmbtn -side top -fill x

   button .ddhseltex.frmbtn.btncancel -text "Cancel" -command {
      destroy .ddhseltex
   }
   pack .ddhseltex.frmbtn.btncancel -side left -fill x -expand 1

   button .ddhseltex.frmbtn.btnapply -text "Select objects" -command {
      set idx [.ddhseltex.frmlist.listtex curselection]
      eval ac3d ddhseltex_go $idx
      destroy .ddhseltex
   }
   pack .ddhseltex.frmbtn.btnapply -side right -fill x -expand 1

}

proc ddhseltex_dialog {} {

   if ![winfo exists .ddhseltex] {
      ddhseltex_makeframe
   }

   wm deiconify .ddhseltex
   centre_window_on_screen .ddhseltex

   grab .ddhseltex

}

